// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "AA_AudioSample.generated.h"

class UAudioAnalyzerManager;

UCLASS()
class AA_CODEPROJECT_API AAA_AudioSample : public AActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	AAA_AudioSample();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;

private:
	UAudioAnalyzerManager* _AAManager;

	//Bind to delegate function
	UFUNCTION()
	void OnPlayerInitEnds(bool Result);
};
